CISS(4)

NAME
ciss - HP/Compaq Smart ARRAY 5/6 RAID controllers

SYNOPSIS
ciss* at pci? function ?

DESCRIPTION
The ciss driver provides support for the CISS interface implemented by fifth and later generations of the HP/Compaq Smart ARRAY family of controllers.

The CISS interface is defined in the document entitled Compaq Computer Corporation, CISS Command Interface for SCSI-3 Support Open Specification, Version 1.04, Valence Number 1, 2000/11/27.

This driver supports several Compaq and HP controllers implementing the CISS interface, including:

•   Compaq Smart Array 5300 version 1
•   Compaq Smart Array 5300 version 2
•   Compaq Smart Array 5i version 1
•   Compaq Smart Array 5i version 2
•   HP Smart Array 5312
•   HP Smart Array 6i
•   HP Smart Array 641
•   HP Smart Array 642
•   HP Smart Array 6400
•   HP Smart Array 6400 EM
•   HP Smart Array E200
•   HP Smart Array E200i
•   HP Smart Array P400
•   HP Smart Array P400i
•   HP Smart Array P600
•   HP Smart Array P800
•   HP Smart Array V100
•   HP Smart Array 1 through 13

These controllers support RAID 0, RAID 1, RAID 5, JBOD, and superpositions of those configurations.

Although the controllers are actual RAID controllers, the ciss driver makes them look just like SCSI controllers. All RAID configuration must be done through the controllers' BIOSes.

Hardware from previous generations of this product family may be supported by the cac(4) driver.

SEE ALSO
bio(4), cac(4), intro(4), pci(4), scsi(4), sd(4)

HISTORY
The ciss driver first appeared in NetBSD 3.1.

AUTHORS
-nosplit The ciss driver was written by Michael Shalayeff <mickey@openbsd.org>, and ported to NetBSD by Tonnerre Lombard <tonnerre@netbsd.org>.